%define _binary_payload		w9.gzdio
%define _source_payload		w9.gzdio

%global __requires_exclude ^perl\\((PDF::Reuse.*|Pedigree.*|TeXLive.*|Tk::path_tre|only|pdfTeX|script::MakeSPList)\\)|pear\\(animals.php\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_docdir}

# need to bootstrap first
# - xindy need clisp in main
# - let asymptote be packaged separately, as the generated one is known
#   to not be fully functional
%define enable_asymptote	0
%define enable_xindy		0

# in its own package
%define enable_xdvik            1
%define enable_dvi2tty          1

%define with_system_poppler	1
%define with_system_dialog	1
%define with_system_icu		1
%define with_system_lcdf	0
%define with_system_psutils	1
%define with_system_t1lib	1
%define with_system_tex4ht	0
%define with_system_teckit	0

%define enable_shared		1

%define texmfbindir		%{_bindir}
%define texmfdir		%{_datadir}/texmf
%define texmfdistdir		%{_datadir}/texmf-dist
%define texmflocaldir		%{_datadir}/texmf-local
%define texmfextradir		%{_datadir}/texmf-extra
%define texmffontsdir		%{_datadir}/texmf-fonts
%define texmfprojectdir		%{_datadir}/texmf-project
%define texmfvardir		%{_localstatedir}/lib/texmf
%define texmfconfdir		%{_sysconfdir}/texmf

#-----------------------------------------------------------------------
%define subrel 1
Name:		texlive
Version:	20160523
Release:	%mkrel 7
Summary:	The TeX formatting system
Group:		Publishing
License:	http://www.tug.org/texlive/LICENSE.TL
URL:		http://tug.org/texlive/
Source0:	ftp://tug.org/historic/systems/texlive/2016/%{name}-%{version}b-source.tar.xz
Source1:	ftp://tug.org/historic/systems/texlive/2016/%{name}-%{version}b-source.tar.xz.sha512

Provides:	tetex  = %{version}-%{release}
Provides:	context = %{version}-%{release}
Provides:	dvipdfm = %{version}-%{release}
Provides:	dvips = %{version}-%{release}
Provides:	mfwin = %{version}-%{release}
Provides:	usrlocal = %{version}-%{release}
%if %{enable_xdvik}
Obsoletes:	tetex-xdvi <= 3.1
Provides:	xdvi = %{version}-%{release}
Obsoletes:	xdvi <= 22.86
Obsoletes:	xdvik <= 22.84.16
Obsoletes:	texlive-xdvi <= 2007
%rename xdvik
%endif
Provides:	afm = %{version}-%{release}
Provides:	dvilj = %{version}-%{release}
Provides:	dvipdfm = %{version}-%{release}
Provides:	tetex-dvips = %{version}-%{release}
Provides:	dviutils = %{version}-%{release}
Provides:	tetex-latex  = %{version}-%{release}
Provides:	latex = %{version}-%{release}

Obsoletes:	kpathsea <= 2007
Obsoletes:	pdfjam <= 1.21
Obsoletes:	tetex <= 3.1
Obsoletes:	tetex-context <= 3.1
Obsoletes:	tetex-devel <= 3.1
Obsoletes:	tetex-dvipdfm <= 3.1
Obsoletes:	tetex-dvips <= 3.1
Obsoletes:	tetex-dvips <= 3.1
Obsoletes:	tetex-dvilj <= 3.0
Obsoletes:	tetex-latex <= 3.1
Obsoletes:	tetex-mfwin <= 3.1
Obsoletes:	tetex-usrlocal <= 3.1
Obsoletes:	texlive-afm <= 2007
Obsoletes:	texlive-context <= 2007
Obsoletes:	texlive-dvilj <= 2007
Obsoletes:	texlive-dvipdfm <= 2007
Obsoletes:	texlive-dvips <= 2007
Obsoletes:	texlive-dviutils <= 2007
Obsoletes:	texlive-latex <= 2007
Obsoletes:	texlive-mfwin <= 2007
Obsoletes:	texlive-fonts <= 2007
Obsoletes:	texlive-mf2pt1 < 2.5.0-4
%rename abntex2

#-----------------------------------------------------------------------
%if %{with_system_dialog}
Requires:	cdialog
%endif
Requires:	ghostscript
%if %{enable_asymptote}
Requires:	gv
Requires:	tkinter
%endif
%if %{with_system_lcdf}
Requires:	lcdf-typetoools
%else
Provides:	lcdf-typetools = %{version}
Obsoletes:	lcdf-typetools <= 2.59-5
%endif
%if %{with_system_psutils}
Requires:	psutils
%endif
%if %{with_system_teckit}
Requires:	teckit
%endif
%if %{with_system_tex4ht}
Requires:	tex4ht
%else
Provides:	tex4ht = %{version}
Obsoletes:	tex4ht <= 1:1.0.2008_02_28_2058
%endif
Conflicts:	texlive-texmf < %{version}
Requires:	texlive-collection-basic = %{version}
Requires:       ruby
# Fix upgrade for luatex (mga#12303)
Requires(posttrans):       zlib >= 1.2.8
Requires(posttrans):       kpathsea >= %{version}

#-----------------------------------------------------------------------
BuildRequires:	bison
%if %{enable_xindy}
BuildRequires:	clisp
BuildRequires:	ffcall-devel
%endif
%if %{enable_asymptote}
BuildRequires:	fftw-devel
BuildRequires:	flex
%endif
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires: gd-devel
%if %{enable_asymptote}
BuildRequires:	libgc-devel
BuildRequires:	libsigsegv-devel
BuildRequires:	ghostscript-dvipdf
BuildRequires:	gsl-devel
BuildRequires:	GL-devel
%endif
BuildRequires:	libgd-devel
%if %{with_system_poppler}
BuildRequires: pkgconfig(poppler)
%endif
BuildRequires:	libxaw-devel
%if !%{with_system_dialog}
BuildRequires:	ncurses-devel
%endif
BuildRequires:	png-devel
%if %{with_system_t1lib}
BuildRequires:	t1lib-devel
%endif
%if %{with_system_teckit}
BuildRequires:	teckit-devel
%endif
%if %{with_system_icu}
BuildRequires:	icu-devel
%endif
%if %{enable_xindy}
BuildRequires:	texlive
%endif
%if %{enable_asymptote}
BuildRequires:	texinfo
%endif
BuildRequires:	zziplib-devel
BuildRequires:	cairo-devel

#-----------------------------------------------------------------------
#Patch0: texlive-20130530-mandriva-underlink.patch
Patch1: texlive-20160523-mageia-format.patch
Patch2: texlive-20160523-mageia-asymptote.patch
#Patch3: texlive-20130530-mandriva-xdvi.patch
Patch4: texlive-20160523-texmf-mageia-kpfix.patch
#Patch5: texlive-20130530-dvisvgm-libgs.patch
Patch6: texlive-bz979176.patch
Patch7: texlive-20160523b-CVE-2016-10243.patch
Patch8: CVE-2018-17407.patch
#-----------------------------------------------------------------------
%description
TeX Live is an easy way to get up and running with the TeX document
production system. It provides a comprehensive TeX system. It includes
all the major TeX-related programs, macro packages, and fonts that are
free software, including support for many languages around the world.

%files
%{texmfbindir}/*
%dir %{texmfvardir}
%dir %{texmfconfdir}
%ghost %config(noreplace) %{texmfconfdir}/web2c/updmap.cfg


#-----------------------------------------------------------------------
%if %{enable_shared}
########################################################################
%define        kpathsea_major          6
%define        kpathsea                %{mklibname kpathsea %{kpathsea_major}}

%package	-n %{kpathsea}
Summary:	Path searching library for TeX-related files
Group:		System/Libraries
Provides:	kpathsea = %{version}-%{release}

%description	-n %{kpathsea}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.

%files		-n %{kpathsea}
%{_libdir}/libkpathsea.so.%{kpathsea_major}
%{_libdir}/libkpathsea.so.%{kpathsea_major}.*

#-----------------------------------------------------------------------
%define	kpathsea_devel		%{mklibname -d kpathsea}

%package	-n %{kpathsea_devel}
Summary:	Kpathsea development files
Group:		Development/C
Requires:	kpathsea = %{version}-%{release}
Provides:	kpathsea-devel = %{version}-%{release}

%description	-n %{kpathsea_devel}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.
This package includes the kpathsea development files.

%files		-n %{kpathsea_devel}
%{_includedir}/kpathsea
%{_libdir}/libkpathsea.la
%{_libdir}/libkpathsea.so
%{_libdir}/pkgconfig/kpathsea.pc
%{_libdir}/kpathsea/*.h

#-----------------------------------------------------------------------
%define	kpathsea_static_devel	%{mklibname -d -s kpathsea}

%package	-n %{kpathsea_static_devel}
Summary:	Kpathsea development files
Group:		Development/C
Requires:	kpathsea-devel = %{version}-%{release}
Provides:	kpathsea-devel-static = %{version}-%{release}

%description	-n %{kpathsea_static_devel}
Kpathsea implements generic path searching, configuration,
and TeX-specific file searching.
This package includes the static kpathsea library.

%files		-n %{kpathsea_static_devel}
%{_libdir}/libkpathsea.a

#-----------------------------------------------------------------------
%define        texlua_major           5
%define        texluajit_major        2
%define        texlua                 %{mklibname texlua %{texlua_major}}

%package	-n %{texlua}
Summary:	Library for TeXlua
Group:		System/Libraries
Provides:	texlua = %{version}-%{release}

%description	-n %{texlua}
TeXlua library

%files		-n %{texlua}
%{_libdir}/libtexlua52.so.%{texlua_major}
%{_libdir}/libtexlua52.so.%{texlua_major}.*
%{_libdir}/libtexluajit.so.%{texluajit_major}
%{_libdir}/libtexluajit.so.%{texluajit_major}.*

#-----------------------------------------------------------------------
%define	texlua_devel		%{mklibname -d texlua}

%package	-n %{texlua_devel}
Summary:	Library for TeXlua
Group:		Development/C
Requires:	texlua = %{version}-%{release}
Provides:	texlua-devel = %{version}-%{release}

%description	-n %{texlua_devel}
TeXlua library
This package includes the TeXlua development files.

%files		-n %{texlua_devel}
%{_includedir}/texlua52
%{_includedir}/texluajit
%{_libdir}/libtexlua52.la
%{_libdir}/libtexlua52.so
%{_libdir}/pkgconfig/texlua52.pc
%{_libdir}/libtexluajit.la
%{_libdir}/libtexluajit.so
%{_libdir}/pkgconfig/texluajit.pc

#-----------------------------------------------------------------------
%define	texlua_static_devel	%{mklibname -d -s texlua}

%package	-n %{texlua_static_devel}
Summary:	Library for TeXlua
Group:		Development/C
Requires:	texlua-devel = %{version}-%{release}
Provides:	texlua-devel-static = %{version}-%{release}

%description	-n %{texlua_static_devel}
TeXlua library
This package includes the static TeXlua library.

%files		-n %{texlua_static_devel}
%{_libdir}/libtexlua52.a
%{_libdir}/libtexluajit.a

#-----------------------------------------------------------------------
%define        synctex_major           1
%define        synctex                 %{mklibname synctex %{synctex_major}}

%package	-n %{synctex}
Summary:	Library for SyncTeX
Group:		System/Libraries
Provides:	synctex = %{version}-%{release}

%description	-n %{synctex}
synctex library

%files		-n %{synctex}
%{_libdir}/libsynctex.so.%{synctex_major}
%{_libdir}/libsynctex.so.%{synctex_major}.*

#-----------------------------------------------------------------------
%define	synctex_devel		%{mklibname -d synctex}

%package	-n %{synctex_devel}
Summary:	Library for SyncTeX
Group:		Development/C
Requires:	synctex = %{version}-%{release}
Provides:	synctex-devel = %{version}-%{release}

%description	-n %{synctex_devel}
synctex library
This package includes the synctex development files.

%files		-n %{synctex_devel}
%{_includedir}/synctex
%{_libdir}/libsynctex.la
%{_libdir}/libsynctex.so
%{_libdir}/pkgconfig/synctex.pc

#-----------------------------------------------------------------------
%define	synctex_static_devel	%{mklibname -d -s synctex}

%package	-n %{synctex_static_devel}
Summary:	Library for SyncTeX
Group:		Development/C
Requires:	synctex-devel = %{version}-%{release}
Provides:	synctex-devel-static = %{version}-%{release}

%description	-n %{synctex_static_devel}
synctex library
This package includes the static synctex library.

%files		-n %{synctex_static_devel}
%{_libdir}/libsynctex.a

#-----------------------------------------------------------------------
%define        ptexenc_major           1
%define        ptexenc                 %{mklibname ptexenc %{ptexenc_major}}

%package	-n %{ptexenc}
Summary:	Library for Japanese pTeX
Group:		System/Libraries
Provides:	ptexenc = %{version}-%{release}

%description	-n %{ptexenc}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.

%files		-n %{ptexenc}
%{_libdir}/libptexenc.so.%{ptexenc_major}
%{_libdir}/libptexenc.so.%{ptexenc_major}.*

#-----------------------------------------------------------------------
%define	ptexenc_devel		%{mklibname -d ptexenc}

%package	-n %{ptexenc_devel}
Summary:	Library for Japanese pTeX
Group:		Development/C
Requires:	ptexenc = %{version}-%{release}
Provides:	ptexenc-devel = %{version}-%{release}

%description	-n %{ptexenc_devel}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.
This package includes the ptexenc development files.

%files		-n %{ptexenc_devel}
%{_includedir}/ptexenc
%{_libdir}/libptexenc.la
%{_libdir}/libptexenc.so
%{_libdir}/pkgconfig/ptexenc.pc

#-----------------------------------------------------------------------
%define	ptexenc_static_devel	%{mklibname -d -s ptexenc}

%package	-n %{ptexenc_static_devel}
Summary:	Library for Japanese pTeX
Group:		Development/C
Requires:	ptexenc-devel = %{version}-%{release}
Provides:	ptexenc-devel-static = %{version}-%{release}

%description	-n %{ptexenc_static_devel}
ptexenc is a useful library for Japanese pTeX
(which stands for publishing TeX, and is an extension of
TeX by ASCII Co.) and its surrounding tools.
This package includes the static ptexenc library.

%files		-n %{ptexenc_static_devel}
%{_libdir}/libptexenc.a

########################################################################
# enable_shared
%endif

#-----------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}-source

#%patch0 -p1
%patch1 -p1
%if %{enable_asymptote}
%patch2 -p1
%endif
#%patch3 -p1
%patch4 -p1
#%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p0

# setup default builtin values, added to paths.h from texmf.cnf
perl -pi -e 's%^(TEXMFMAIN\s+= ).*%$1%{texmfdistdir}%;'			  \
	 -e 's%^(TEXMFDIST\s+= ).*%$1%{texmfdistdir}%;'			  \
	 -e 's%^(TEXMFLOCAL\s+= ).*%$1%{texmflocaldir}%;'			  \
	 -e 's%^(TEXMFSYSVAR\s+= ).*%$1%{texmfvardir}%;'		  \
	 -e 's%^(TEXMFSYSCONFIG\s+= ).*%$1%{texmfconfdir}%;'		  \
	 -e 's%^(TEXMFHOME\s+= ).*%$1\$HOME/texmf%;'			  \
	 -e 's%^(TEXMFVAR\s+= ).*%$1\$HOME/.texlive2016/texmf-var%;'	  \
	 -e 's%^(TEXMFCONFIG\s+= ).*%$1\$HOME/.texlive2016/texmf-config%;'\
	 -e 's%^(OSFONTDIR\s+= ).*%$1%{_datadir}/fonts%;'		  \
	texk/kpathsea/texmf.cnf

#-----------------------------------------------------------------------
%build
export CXXFLAGS="%{optflags} -std=c++11"

[ -d Work ] || mkdir Work
pushd Work
ln -sf ../configure .

%configure2_5x							\
	--with-banner-add="/Mageia"				\
	--disable-native-texlive-build				\
	--enable-missing					\
%if %{enable_shared}
	--enable-shared						\
%else
	--disable-shared					\
%endif
%if %{enable_xindy}
	--enable-xindy-rules            			\
%else
	--disable-xindy						\
%endif
%if %{enable_xdvik}
        --enable-xdvik                                          \
%else
        --disable-xdvik                                         \
%endif
%if %{enable_dvi2tty}
        --enable-dvi2tty                                        \
%else
        --disable-dvi2tty                                       \
%endif
	--with-system-freetype					\
	--with-freetype-includes=%{_includedir}/freetype	\
	--with-system-freetype2					\
	--with-freetype2-includes=%{_includedir}/freetype2	\
%if %{with_system_dialog}
	--disable-dialog					\
%else
	--enable-dialog						\
%endif
%if %{with_system_psutils}
	--disable-psutils					\
%else
	--enable-psutils					\
%endif
	--with-system-gd					\
%if %{with_system_lcdf}
	--disable-lcdf-typetools				\
%endif
	--with-system-png					\
%if %{with_system_t1lib}
	--with-system-t1lib					\
	--disable-t1utils					\
%endif
%if %{with_system_teckit}
	--disable-teckit					\
	--with-teckit-includes=%{_includedir}/teckit		\
%endif
%if %{with_system_tex4ht}
	--disable-tex4htk					\
%endif
%if %{with_system_icu}
	--with-system-icu					\
%else
	--without-system-icu					\
%endif
%if %{with_system_poppler}
	--with-system-xpdf					\
%else
	--without-system-xpdf					\
%endif
	--with-system-zziplib					\
	--with-system-cairo					\
	--with-system-pixman
%make

popd

%if %{enable_asymptote}
pushd utils/asymptote
%configure2_5x							\
	--enable-gc=system					\
	--enable-texlive-build					\
	--datadir=%{texmfdir}
%make
popd
%endif

#-----------------------------------------------------------------------
%install
pushd Work
%makeinstall_std
popd

%if %{enable_asymptote}
pushd utils/asymptote
%makeinstall_std
popd
%endif

mkdir -p %{buildroot}%{_datadir}
for dir in texmf texmf-dist; do
    if [ -d %{buildroot}%{_prefix}/$dir ]; then
	rm -fr %{buildroot}%{_datadir}/$dir
	mv %{buildroot}%{_prefix}/$dir %{buildroot}%{_datadir}
    fi
done

mkdir -p %{buildroot}%{texmfvardir}
mkdir -p %{buildroot}%{texmfconfdir}

%if %{with_system_lcdf}
# stray directory left
rm -fr %{buildroot}%{_datadir}/lcdf-typetools-for-tex-live
%else
# openmpi has a program with the same name
if [ -f %{buildroot}%{texmfbindir}/otfinfo ]; then
    mv -f %{buildroot}%{texmfbindir}/otfinfo{,-texlive}
fi
%endif

pushd %{buildroot}%{texmfbindir}
    # missing symbolic links
    ln -sf aleph lamed
    ln -sf luatex dvilualatex
    ln -sf luatex lualatex
    ln -sf luatex dviluatex
    ln -sf pdftex amstex
    ln -sf pdftex cslatex
    ln -sf pdftex csplain
    ln -sf pdftex eplain
    ln -sf pdftex etex
    ln -sf pdftex latex
    ln -sf pdftex mex
    ln -sf pdftex mltex
    ln -sf pdftex mllatex
    ln -sf pdftex pdfcslatex
    ln -sf pdftex pdfcsplain
    ln -sf pdftex pdfetex
    ln -sf pdftex pdflatex
    ln -sf pdftex pdfmex
    ln -sf pdftex physe
    ln -sf pdftex phyzzx
    ln -sf pdftex utf8mex
    ln -sf pdftex texsis
    ln -sf ptex platex
    ln -sf mpost metafun
    ln -sf mpost mfplain
    ln -sf xetex xelatex
    # correct symlinks
    for file in *; do
	link=`readlink $file` || :
	if [ "x$link" != "x" ]; then
	    ln -sf `echo $link |					\
		sed	-e 's|\.\./.*texmf-dist/|%{texmfdistdir}/|'	\
			-e 's|\.\./.*texmf/|%{texmfdir}/|'`		\
		$file
	fi
    done
%if %{with_system_dialog}
    ln -sf %{_bindir}/dialog tcdialog
%endif
%if %{enable_asymptote}
    ln -sf %{texmfdir}/asymptote/GUI/xasy.py xasy
%endif
    # install scripts from texlive-texmf
    rm -f a2ping afm2afm arlatex authorindex autoinst bibexport		\
	  bundledoc cachepic cmap2enc de-macro dviasm ebong e2pall	\
	  epspdf epspdftk epstopdf fig4latex findhyph font2afm		\
	  fragmaster ht htcontext htlatex htmex httex httexi htxelatex	\
	  htxetex latex2man latexdiff latexdiff-vc latexmk latexrevise	\
	  listings-ext.sh makeglossaries mathspic mk4ht mkgrkindex	\
	  mkjobtexmf mkluatexfontdb mkt1font mptopdf ot2kpx pdf180	\
	  pdf270 pdf90 pdfannotextractor pdfatfi pdfbook pdfcrop	\
	  pdfflip pdfjam pdfjam-pocketmod pdfjam-slides3up		\
	  pdfjam-slides6up pdfjoin pdfnup pdfpun pdfthumb perltex	\
	  pfm2kpx pkfix  pkfix-helper ppower4 ps4pdf pst2pdf purifyeps	\
	  repstopdf rpdfcrop rungs showglyphs simpdftex splitindex	\
	  svn-multi texcount texdiff texdirflatten texdoc texdoctk	\
	  texloganalyser thumbpdf tlmgr ulqda updmap vpe vpl2ovp	\
	  vpl2vpl
popd

# use texmf data
rm -fr %{buildroot}%{texmfdir} %{buildroot}%{texmfdistdir}

# install manual pages and info files from texlive-texmf tarball
rm -fr %{buildroot}%{_mandir} %{buildroot}%{_infodir}

%if !%{enable_shared}
# do not generate dynamic libraries and do not install static ones
rm -fr %{buildroot}%{_libdir}
rm -fr %{buildroot}%{_includedir}
%endif

#-----------------------------------------------------------------------
%posttrans
rm -f %{texmfdir}/ls-R %{texmfdistdir}/ls-R %{texmfconfdir}/ls-R
%{_bindir}/texhash > /tmp/texlive-texhash.log 2>&1
%{_bindir}/updmap-sys --syncwithtrees > /tmp/texlive-updmap-sys.log 2>&1
export TEXMF=/usr/share/texmf-dist
export TEXMFCNF=/usr/share/texmf-dist/web2c
export TEXMFCACHE=/var/lib/texmf
%{_bindir}/mtxrun --generate > /tmp/texlive-mtxrun.log 2>&1
%{_bindir}/fmtutil-sys --all &> /tmp/texlive-fmtutil-sys.log 2>&1


%changelog
* Tue Oct 09 2018 mokraemer <mokraemer> 20160523-7.1.mga6
+ Revision: 1319160
- CVE-2018-17407 (mga#23655)

* Mon May 01 2017 neoclust <neoclust> 20160523-7.mga6
+ Revision: 1098172
- Apply P7

* Mon May 01 2017 neoclust <neoclust> 20160523-6.mga6
+ Revision: 1098165
- Add P7 - Fixes CVE-2016-10243 (mga#20401)

* Thu Mar 16 2017 mrambo3501 <mrambo3501> 20160523-5.mga6
+ Revision: 1093212
+ rebuild (emptylog)

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 20160523-4.mga6
+ Revision: 1092811
- Rebuild for icu-58.2

* Mon Jan 02 2017 luigiwalser <luigiwalser> 20160523-3.mga6
+ Revision: 1079515
- rebuild for poppler

* Mon Nov 28 2016 luigiwalser <luigiwalser> 20160523-2.mga6
+ Revision: 1070646
- rebuild for poppler
+ tv <tv>
- do not compute deps from doc files
  (eg: texlive-doc providing "perl(SGMLS)")

* Tue Sep 27 2016 bcornec <bcornec> 20160523-1.mga6
+ Revision: 1057043
- Update to upstream 20160523

* Sat Aug 13 2016 luigiwalser <luigiwalser> 20130530-30.mga6
+ Revision: 1046201
- test rebuild for poppler

* Wed May 25 2016 luigiwalser <luigiwalser> 20130530-29.mga6
+ Revision: 1018544
- rebuild for poppler

* Fri May 13 2016 shlomif <shlomif> 20130530-28.mga6
+ Revision: 1015042
- Rebuild due to the new ICU

* Mon May 09 2016 luigiwalser <luigiwalser> 20130530-27.mga6
+ Revision: 1011752
- rebuild for poppler

* Fri Jan 01 2016 luigiwalser <luigiwalser> 20130530-26.mga6
+ Revision: 917926
- rebuild for icu

* Fri Jan 01 2016 luigiwalser <luigiwalser> 20130530-25.mga6
+ Revision: 917643
- rebuild for poppler

* Sat Jul 25 2015 tv <tv> 20130530-24.mga6
+ Revision: 857555
- rebuild for new poppler

* Sat Jul 25 2015 daviddavid <daviddavid> 20130530-23.mga6
+ Revision: 857181
- rebuild for icu 55

* Tue Jun 23 2015 luigiwalser <luigiwalser> 20130530-22.mga6
+ Revision: 841050
- disable xindy (bootstrap issue)
- rebuild for poppler

* Wed May 13 2015 luigiwalser <luigiwalser> 20130530-21.mga5
+ Revision: 822028
- add patch from fedora to fix bdo#775139, predicatable tmpfile name issue

* Sun May 10 2015 luigiwalser <luigiwalser> 20130530-20.mga5
+ Revision: 821619
- add patch to fix dvisvgm opening ghostscript library (Giuseppe Ghibo)
- actually apply texmf-fedora-kpfix patch

* Mon Feb 16 2015 oden <oden> 20130530-19.mga5
+ Revision: 815166
- rebuilt for libgd-2.1.1

* Wed Oct 15 2014 umeabot <umeabot> 20130530-18.mga5
+ Revision: 750940
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20130530-17.mga5
+ Revision: 730612
- rebuild for missing pythoneggs deps

* Tue Sep 23 2014 tv <tv> 20130530-16.mga5
+ Revision: 720821
- re-enable xindy

* Tue Sep 23 2014 tv <tv> 20130530-15.mga5
+ Revision: 719638
- further fix excludes

* Mon Sep 22 2014 tv <tv> 20130530-14.mga5
+ Revision: 719174
- bootstrap
- fix excludes
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 20130530-12.mga5
+ Revision: 671328
- fix xindy build
- fix xdvik upgrade
- add xindy

* Sun Jun 22 2014 spuhler <spuhler> 20130530-11.mga5
+ Revision: 638734
- changed Obsoletes: texlive-mf2pt1 <= 2.5.0-3 to < 2.5.0-4
  * this should make it obsolete

* Wed Apr 30 2014 tmb <tmb> 20130530-10.mga5
+ Revision: 619048
- rebuild for new poppler

* Sat Apr 05 2014 wally <wally> 20130530-9.mga5
+ Revision: 611813
- rebuild for new icu

* Sat Jan 25 2014 malo <malo> 20130530-8.mga5
+ Revision: 568144
- fix path finding on upgrade

* Fri Jan 24 2014 malo <malo> 20130530-7.mga4
+ Revision: 568089
- relax zlib dep

* Fri Jan 24 2014 malo <malo> 20130530-6.mga4
+ Revision: 568051
- rename abntex2
- fix upgrade (mga#12303)

* Tue Jan 21 2014 malo <malo> 20130530-5.mga4
+ Revision: 567353
- provide xdvi from texlive (mga#12097)
- add post script logging for texhash

* Tue Dec 31 2013 malo <malo> 20130530-4.mga4
+ Revision: 563471
- move obsoletes mf3pt1 to texlive

* Mon Dec 30 2013 malo <malo> 20130530-3.mga4
+ Revision: 563239
- fix post scripts
- add newer version of metapost to fix build of lilypond (mga#12073)

* Mon Dec 16 2013 malo <malo> 20130530-2.mga4
+ Revision: 557320
- add fedora patch to fix path

* Wed Dec 11 2013 malo <malo> 20130530-1.mga4
+ Revision: 556365
- Specfile fixes
- update to 20130530, sync patches with mandriva

* Tue Oct 29 2013 malo <malo> 20120701-16.mga4
+ Revision: 547881
- add fmtutil-sys run at install time

* Mon Oct 21 2013 umeabot <umeabot> 20120701-15.mga4
+ Revision: 538284
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 malo <malo> 20120701-14.mga4
+ Revision: 489208
- fix Requires and scriptlet

* Fri Sep 27 2013 malo <malo> 20120701-13.mga4
+ Revision: 488047
- update posttrans to fix fmt generation

* Thu Sep 26 2013 tv <tv> 20120701-12.mga4
+ Revision: 486941
- rebuild for new icu

* Tue Sep 17 2013 malo <malo> 20120701-11.mga4
+ Revision: 480833
- requires only on texlive-collection-basic
- build dvi2tty (mga#8219)

* Fri Aug 23 2013 luigiwalser <luigiwalser> 20120701-10.mga4
+ Revision: 470365
- rebuild for zlib

* Wed Jul 31 2013 fwang <fwang> 20120701-9.mga4
+ Revision: 461355
- rebuild for new poppler

* Sat Jul 20 2013 fwang <fwang> 20120701-8.mga4
+ Revision: 456561
- rebuild for new poppler

* Mon Jun 03 2013 tv <tv> 20120701-7.mga4
+ Revision: 436439
- rebuild for new libpng

* Mon May 27 2013 oden <oden> 20120701-6.mga4
+ Revision: 428767
- rebuilt against libgd.so.3

* Sun May 26 2013 fwang <fwang> 20120701-5.mga4
+ Revision: 427967
- rebuild for new icu

* Fri May 24 2013 fwang <fwang> 20120701-4.mga4
+ Revision: 425820
- rebuild for new poppler

* Mon Jan 14 2013 umeabot <umeabot> 20120701-3.mga3
+ Revision: 384453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 fwang <fwang> 20120701-2.mga3
+ Revision: 336407
- rebuild for new poppler

* Tue Dec 25 2012 mitya <mitya> 20120701-1.mga3
+ Revision: 334990
- TeXLive 2012
- Drop patches 0, 4-13 (merged upstream)
- Update format string patch

* Mon Nov 12 2012 fwang <fwang> 20110705-12.mga3
+ Revision: 317128
- rebuild for new poppler

* Wed Oct 10 2012 tv <tv> 20110705-11.mga3
+ Revision: 304197
- rebuild with new poppler

* Tue Sep 11 2012 fwang <fwang> 20110705-10.mga3
+ Revision: 292159
- rebuild for new poppler

* Tue Aug 21 2012 fwang <fwang> 20110705-9.mga3
+ Revision: 282855
- rebuild for new poppler

* Fri Jul 06 2012 mitya <mitya> 20110705-8.mga3
+ Revision: 268469
- Fix xe[la]tex for zlib >= 1.2.6

* Wed Jun 13 2012 fwang <fwang> 20110705-7.mga3
+ Revision: 260276
- add fedora patch to build with latest poppler
- rebuild for new poppler

* Sat Jun 09 2012 tmb <tmb> 20110705-6.mga3
+ Revision: 258996
- rebuild for new zlib

* Mon Feb 20 2012 luigiwalser <luigiwalser> 20110705-5.mga2
+ Revision: 211077
- rebuild

* Mon Dec 26 2011 dmorgan <dmorgan> 20110705-4.mga2
+ Revision: 187784
- Requires ruby ( mga #3827)

* Mon Dec 12 2011 pterjan <pterjan> 20110705-3.mga2
+ Revision: 180802
- Add patch fixing two overflows (already fixed in upstream svn)

* Fri Oct 28 2011 fwang <fwang> 20110705-2.mga2
+ Revision: 158964
- rebuild for new poppler

* Fri Oct 07 2011 dmorgan <dmorgan> 20110705-1.mga2
+ Revision: 152672
- Remove P10: Merged upstream
- New version 20110705  ( sync with mdv)

* Tue Sep 27 2011 ovitters <ovitters> 20100722-39.mga2
+ Revision: 149667
- rebuild for new poppler
+ boklm <boklm>
- remove provides and obsoletes on texi2html/tetex-texi2html
+ ahmad <ahmad>
- Change libpoppler-*-devel BR to pkgconfig style

* Wed Jul 06 2011 dmorgan <dmorgan> 20100722-37.mga2
+ Revision: 119211
- Backport mdv commit 641574

* Wed Jul 06 2011 cjw <cjw> 20100722-36.mga2
+ Revision: 119107
- add kpathsea lib for evince (partially sync with mdv pkg)
- use system libpoppler

* Wed May 11 2011 ahmad <ahmad> 20100722-35.mga1
+ Revision: 97324
- Drop the %%postun scriptlet, it doesn't make sense to run '%%{_bindir}/texconfig-sys rehash'
  when uninstalling texlive:
  o if %%postun is used, it won't work as %%{_bindir}/texconfig-sys won't exist
    _after_ the package is uninstalled
  o if %%preun is used, %%{_bindir}/texconfig-sys will be executed, but the config
    is invalid as the texlive files are gone after it's uninstalled
  We can just rely on the %%posttrans scriptlets refreshing the config when reinstalling
  texlive.

* Mon Apr 18 2011 ahmad <ahmad> 20100722-34.mga1
+ Revision: 87811
- Use a more refined %%posttrans scriptlet (Fedora)
- Add a %%postun scriptlet to rebuild ls-R files

* Mon Apr 11 2011 dmorgan <dmorgan> 20100722-33.mga1
+ Revision: 83102
- Do not build dvi2tty

* Mon Apr 11 2011 dmorgan <dmorgan> 20100722-32.mga1
+ Revision: 83077
- Fix obsoletes
- Fix switch
- Fix switch

* Mon Apr 11 2011 dmorgan <dmorgan> 20100722-31.mga1
+ Revision: 83071
- Disable xdvik
  Obsolete xdvi

* Tue Mar 29 2011 dmorgan <dmorgan> 20100722-30.mga1
+ Revision: 78671
- Redirect posttrans output to /dev/null - only print messages sent to stderr

* Thu Mar 24 2011 dmorgan <dmorgan> 20100722-29.mga1
+ Revision: 76657
- More obsolete to ease upgrade

* Sat Mar 19 2011 dmorgan <dmorgan> 20100722-28.mga1
+ Revision: 74534
- jadetex and xmltex are in its own package so do not package them here
- Revert the split in current/ will be done in branch
- Fix macros
- Fix file list
  Sync with fedora ( we will have some sub packages
  Enable kpathsea
- Try to split texlive into subpackages
+ rtp <rtp>
- backport icu arm fix from icu upstream ticket 7664 (bad asm syntax)

* Sat Mar 05 2011 dmorgan <dmorgan> 20100722-27.mga1
+ Revision: 64889
- Provide tetex and tetex-latex

* Fri Mar 04 2011 boklm <boklm> 20100722-26.mga1
+ Revision: 64155
- Obsoletes tetex-dvilj

* Fri Mar 04 2011 boklm <boklm> 20100722-25.mga1
+ Revision: 64047
- add provides on latex, dvips, dvipdf, etc ...

* Thu Mar 03 2011 dmorgan <dmorgan> 20100722-24.mga1
+ Revision: 63759
- Fix update from mdv

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-23.mga1
+ Revision: 62487
- Provides/Obsoletes jadetex

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-22.mga1
+ Revision: 62480
- Revert to last working state

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-21.mga1
+ Revision: 62455
- Do not use binary payload

* Wed Mar 02 2011 dmorgan <dmorgan> 20100722-20.mga1
+ Revision: 62420
- Merge mdv commit : 641198
  	- Change license tag to point to license file
  	- Add basic infrastructure to allow test installs with tetex
  	  on older distro releases
  	- Add gv as requires (default ps viewer for asymptote)

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-19.mga1
+ Revision: 62125
- Remove bootstrap

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-18.mga1
+ Revision: 61945
- Merge mdv commit  640010
  Add a simple patch to avoid attempting to be too smart, and
  still failing about X resources
- Correct xasy symlink

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-17.mga1
+ Revision: 61935
- Use jadetex from texlive instead

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-15.mga1
+ Revision: 61907
- Do not obsolete jadetex, it will come in its own package

* Tue Mar 01 2011 dmorgan <dmorgan> 20100722-14.mga1
+ Revision: 61902
- Fix obsolete

* Mon Feb 28 2011 dmorgan <dmorgan> 20100722-13.mga1
+ Revision: 61580
- Add missing provides

* Mon Feb 28 2011 dmorgan <dmorgan> 20100722-12.mga1
+ Revision: 61393
- Fix obsolete of xmltex

* Mon Feb 28 2011 dmorgan <dmorgan> 20100722-11.mga1
+ Revision: 61392
- Fix obsoletes
- Bootstrap xindy
- Disable bootstrap
+ boklm <boklm>
- Obsoletes texlive-fonts

* Fri Feb 25 2011 dmorgan <dmorgan> 20100722-8.mga1
+ Revision: 59513
- Bootstrap
- Sync with mdv
- Remove old patches
- imported package texlive

